.m-product-card {
  position: relative;
  cursor: pointer;

  &:hover .m-action-widget {
    opacity: 1;
    transition: all 0.5s;
  }

  &__product-image {
    width: 100%;
    height: 102px;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: block;
    margin-block-end: 1rem;
    margin-inline: auto;
  }

  &__product-title {
    font-size: 0.75rem;
    text-overflow: ellipsis;
    margin-block-end: 1rem;
    max-width: 100%;
    font-weight: 400;
  }

  &__price-wrapper {
    font-weight: 700;
    font-size: 1rem;
  }

  &__mrp {
    display: none;
  }

  &__price {
    &::before {
      content: "";
      display: inline-block;
      width: 1.4rem;
      height: 1.4rem;
      background-image: url("../assets/icons/rupee.svg");
      background-size: 100% 100%;
      background-repeat: no-repeat;
      margin-inline-end: 0.5rem;
      vertical-align: middle;
    }
  }

  .m-action-widget {
    position: absolute;
    left: 1rem;
    bottom: 7.5rem;
  }

  @media (min-width: 768px) {
    &__product-image {
      height: 232px;
    }

    .m-action-widget {
      opacity: 1;
    }
  }
}
